<?php
/*
Plugin Name: AH REST-API deaktivieren
Plugin URI: https://seoagentur-hamburg.com/wordpress-rest-api-deaktivieren/
Description: Deaktiviert die Informationen zu den Einstellungen, den Benutzernamen und den Inhalten der Seiten und Beitraege in der REST-API
Author: Andreas Hecht | SEO Agentur Hamburg
Author URI: https://seoagentur-hamburg.com/
Version: 1.0.0
License:     GPL2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

/**
 * REST-API Filter entfernt wichtige Informationen fuer den Zugriff von Aussen
 * @link https://developer.wordpress.org/rest-api/reference/ REST-API Referenz
 */
add_filter('rest_endpoints', function ($endpoints) {
  $endpoints_to_remove = array(
    'users', /* Entfernt die User aus den Daten */
    'settings', /* Entfernt die Website-Einstellungen aus den Daten */
    'posts', /* Entfernt die Beitragsinhalte aus den Daten */
    'pages' /* Entfernt die Seiteninhalte aus den Daten */  
  );

  foreach ($endpoints_to_remove as $endpoint) {
    $base_endpoint = "/wp/v2/{$endpoint}";
    foreach ($endpoints as $maybe_endpoint => $object) {
      if (strpos($maybe_endpoint, $base_endpoint) !== false) {
        unset($endpoints[$maybe_endpoint]);
      }
    }
  }

  return $endpoints;
});